# Solstice: Yuki's Blender Toolbox

## Export Bone Constraints tool

Location: `Object Mode > Object > Solstice Toolbox > Export Bone Constraints`

ID: `solstice.export_bone_constraints`

Usage:

1. Select a bone object.
2. Select this tool.
3. Pick a file to export to.
4. Profit!

## Mirror Mesh tool

Used when you want to symmetrize a mesh across its X axis, but also wants its
vertex weights correctly assigned after mirroring. This is different from the
`Symmetrize` tool in stock Blender, which does not respect the symmetry of
weight names and makes every weight group symmetric on itself.

**This tool only mirrors from _Left (+X)_ to _Right (-X)_! It does not work in reverse!**

Location: `Edit Mode > Mesh > Solstice Toolbox > Mirror Mesh`

ID: `solstice.mirror_mesh`

Usage:

1. Go into edit mode.
2. Select the tool.
3. Profit!
